lc=10000.0;

deg=10.0;
h=300000.0;
R=6371000.0;
r=R - h;

deg_bk=1.0;
h_bk=75000.0;
R_bk=6321000.0;
r_bk=R_bk - h_bk;

Point(1) = {0, 0, 0, lc};
Point(2) = {R*Sin(deg*Pi/180.0), R*Cos(deg*Pi/180.0), 0, lc};
Point(3) = {r*Sin(deg*Pi/180.0), r*Cos(deg*Pi/180.0), 0, 4*lc};
Point(4) = {-1.0*r*Sin(deg*Pi/180.0), r*Cos(deg*Pi/180.0), 0, 4*lc};
Point(5) = {-1.0*R*Sin(deg*Pi/180.0), R*Cos(deg*Pi/180.0), 0, lc};

Point(6) = {R_bk*Sin(deg_bk*Pi/180.0), R_bk*Cos(deg_bk*Pi/180.0), 0, lc};
Point(7) = {r_bk*Sin(deg_bk*Pi/180.0), r_bk*Cos(deg_bk*Pi/180.0), 0, 2*lc};
Point(8) = {-1.0*r_bk*Sin(deg_bk*Pi/180.0), r_bk*Cos(deg_bk*Pi/180.0), 0, 2*lc};
Point(9) = {-1.0*R_bk*Sin(deg_bk*Pi/180.0), R_bk*Cos(deg_bk*Pi/180.0), 0, lc};

Line(1) = {2, 3};
Circle(2) = {3, 1, 4};
Line(3) = {4, 5};
Circle(4) = {5, 1, 2};

Physical Curve(1) = {1, 3};
Physical Curve(2) = {2};
Physical Curve(3) = {4};

Line(5) = {6, 7};
Circle(6) = {7, 1, 8};
Line(7) = {8, 9};
Circle(8) = {9, 1, 6};

Curve Loop(1) = {8, 5, 6, 7};
Plane Surface(1) = {1};

Curve Loop(2) = {4, 1, 2, 3};
Plane Surface(2) = {1, 2};

Physical Surface("block", 1) = {1};
Physical Surface("shell", 2) = {2};

Mesh 2;
Mesh.MshFileVersion = 2.2;
Save "shell2d_model.msh";